Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028905
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2015-02-10 11:592015-02-23 05:11
ReporterVictorVillarView Statuspublic 
Assigned ToSandrahuguet 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision79bb6781bc77
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-12-23
Regression introduced in release3.0PR15Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/fbc674d56f04 [^]
Triggers an Emergency PackNo
Summary

0028905: Purchase Invoice - Create Lines From is not working under some circumstancies

DescriptionPurchase Invoice - Create Lines From is not working under some circumstancies
Steps To ReproduceAs group admin role,
 Go to Purchase Order window:
    create a new register for product Cerveza
    Unit Price: 0
    List Net amount: 0
    qty: 1
Complete it.

Go to Purchase invoice window:
   create a new register and use the Create Lines from selecting the Purchase Order line created before.
Error appears: ProcessRunError

In openbravo.log:

8b48f559 2015-02-10 10:31:33,402 [TP-Processor1] WARN org.openbravo.erpCommon.ad_actionButton.CreateFrom - Rollback in transaction
8b48f559 2015-02-10 10:31:33,403 [TP-Processor1] INFO org.openbravo.erpCommon.utility.ErrorTextParserPOSTGRE - did not find constraint name for error message: ProcessRunError
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0074320)
hgbot (developer)
2015-02-10 12:46

Repository: erp/devel/pi
Changeset: 79bb6781bc77cf3cbf7a808ab24c59daca85a4fe
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Feb 10 12:45:35 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/79bb6781bc77cf3cbf7a808ab24c59daca85a4fe [^]

Fixed bug 28905 Create Lines From is not working under some circumstancies

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
---
(0074326)
hgbot (developer)
2015-02-10 13:43

Repository: erp/devel/pi
Changeset: 87338b67712c335cedfe6e985d4fddfde021a938
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Feb 10 13:29:45 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/87338b67712c335cedfe6e985d4fddfde021a938 [^]

Related to issue 28905: Code review in CreateFrom.java

Changed from new BigDecimal(0) to BigDecimal.ZERO

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
---
(0074327)
aferraz (developer)
2015-02-10 13:44

Code review + Testing OK
(0074333)
Sandrahuguet (developer)
2015-02-10 18:08
edited on: 2015-02-10 18:28

Test added in testlink:

http://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-8033 [^]

(0074342)
hudsonbot (developer)
2015-02-10 19:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/24bb109056f1 [^]
Maturity status: Test
(0074745)
hudsonbot (developer)
2015-02-23 05:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6856352d7235 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-02-10 11:59 VictorVillar New Issue
2015-02-10 11:59 VictorVillar Assigned To => Sandrahuguet
2015-02-10 11:59 VictorVillar Modules => Core
2015-02-10 11:59 VictorVillar Regression level => Production - QA Approved
2015-02-10 11:59 VictorVillar Triggers an Emergency Pack => No
2015-02-10 12:20 Sandrahuguet Regression date => 2014-12-23
2015-02-10 12:20 Sandrahuguet Regression introduced in release => 3.0PR15Q1
2015-02-10 12:20 Sandrahuguet Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/fbc674d56f04 [^]
2015-02-10 12:46 hgbot Checkin
2015-02-10 12:46 hgbot Note Added: 0074320
2015-02-10 12:46 hgbot Status new => resolved
2015-02-10 12:46 hgbot Resolution open => fixed
2015-02-10 12:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/79bb6781bc77cf3cbf7a808ab24c59daca85a4fe [^]
2015-02-10 13:43 hgbot Checkin
2015-02-10 13:43 hgbot Note Added: 0074326
2015-02-10 13:44 aferraz Review Assigned To => aferraz
2015-02-10 13:44 aferraz Note Added: 0074327
2015-02-10 13:44 aferraz Status resolved => closed
2015-02-10 18:08 Sandrahuguet Note Added: 0074333
2015-02-10 18:28 Sandrahuguet Note Edited: 0074333 View Revisions
2015-02-10 19:35 hudsonbot Checkin
2015-02-10 19:35 hudsonbot Note Added: 0074342
2015-02-23 05:11 hudsonbot Checkin
2015-02-23 05:11 hudsonbot Note Added: 0074745


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker